/* xdaliclock - a melting digital clock
 * Copyright (c) 1991-2010 Jamie Zawinski <jwz@jwz.org>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 */

#import "DaliPhoneAppDelegate.h"
#import "DaliClockView.h"

char *progname = "Dali Clock";   // digital.c wants this for error messages.


@implementation DaliPhoneAppDelegate

@synthesize window;
@synthesize contentView;


- (void)applicationDidFinishLaunching:(UIApplication *)application {	

  [DaliClockView initializeDefaults:nil];

  DaliClockView *dv = [[DaliClockView alloc] initWithFrame:[window frame]];
  contentView = dv;

  [window addSubview:dv];
  [window makeKeyAndVisible];

  // Send orientation changes to the DaliClockView.
  [[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
  [[NSNotificationCenter defaultCenter]
    addObserver:dv
    selector:@selector(didRotate:)
    name:UIDeviceOrientationDidChangeNotification object:nil];
}


- (void)dealloc {
  [contentView release];
  [window release];
  [super dealloc];
}

@end
